Index: pacemaker/pengine/test10/bug-5186-partial-migrate.exp
===================================================================
--- pacemaker.orig/pengine/test10/bug-5186-partial-migrate.exp
+++ pacemaker/pengine/test10/bug-5186-partial-migrate.exp
@@ -3,7 +3,7 @@
     <action_set>
       <rsc_op id="14" operation="start" operation_key="prmDummy_start_0" on_node="bl460g1n6" on_node_uuid="3232261592">
         <primitive id="prmDummy" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_record_pending="true" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="bl460g1n6" CRM_meta_on_node_uuid="3232261592" CRM_meta_record_pending="true" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -31,7 +31,7 @@
     <action_set>
       <rsc_op id="17" operation="monitor" operation_key="prmVM2_monitor_10000" on_node="bl460g1n8" on_node_uuid="3232261594">
         <primitive id="prmVM2" class="ocf" provider="heartbeat" type="VirtualDomain"/>
-        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_on_fail="restart" CRM_meta_record_pending="true" CRM_meta_timeout="30000" config="/migrate_test/config/vm2.xml"  hypervisor="qemu:///system" migration_transport="ssh"/>
+        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_on_fail="restart" CRM_meta_on_node="bl460g1n8" CRM_meta_on_node_uuid="3232261594" CRM_meta_record_pending="true" CRM_meta_timeout="30000" config="/migrate_test/config/vm2.xml"  hypervisor="qemu:///system" migration_transport="ssh"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -44,7 +44,7 @@
     <action_set>
       <rsc_op id="16" operation="start" operation_key="prmVM2_start_0" on_node="bl460g1n8" on_node_uuid="3232261594">
         <primitive id="prmVM2" class="ocf" provider="heartbeat" type="VirtualDomain"/>
-        <attributes CRM_meta_name="start" CRM_meta_on_fail="restart" CRM_meta_record_pending="true" CRM_meta_timeout="120000" config="/migrate_test/config/vm2.xml"  hypervisor="qemu:///system" migration_transport="ssh"/>
+        <attributes CRM_meta_name="start" CRM_meta_on_fail="restart" CRM_meta_on_node="bl460g1n8" CRM_meta_on_node_uuid="3232261594" CRM_meta_record_pending="true" CRM_meta_timeout="120000" config="/migrate_test/config/vm2.xml"  hypervisor="qemu:///system" migration_transport="ssh"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -75,7 +75,7 @@
     <action_set>
       <rsc_op id="1" operation="stop" operation_key="prmVM2_stop_0" on_node="bl460g1n6" on_node_uuid="3232261592">
         <primitive id="prmVM2" class="ocf" provider="heartbeat" type="VirtualDomain"/>
-        <attributes CRM_meta_name="stop" CRM_meta_on_fail="fence" CRM_meta_record_pending="true" CRM_meta_timeout="120000" config="/migrate_test/config/vm2.xml"  hypervisor="qemu:///system" migration_transport="ssh"/>
+        <attributes CRM_meta_name="stop" CRM_meta_on_fail="fence" CRM_meta_on_node="bl460g1n6" CRM_meta_on_node_uuid="3232261592" CRM_meta_record_pending="true" CRM_meta_timeout="120000" config="/migrate_test/config/vm2.xml"  hypervisor="qemu:///system" migration_transport="ssh"/>
       </rsc_op>
     </action_set>
     <inputs/>
@@ -140,7 +140,7 @@
     <action_set>
       <rsc_op id="36" operation="monitor" operation_key="prmStonith8-1_monitor_10000" on_node="bl460g1n6" on_node_uuid="3232261592">
         <primitive id="prmStonith8-1" class="stonith" type="external/stonith-helper"/>
-        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_on_fail="restart" CRM_meta_record_pending="true" CRM_meta_timeout="60000"  dead_check_target="192.168.133.218 192.168.101.218 192.168.102.218 192.168.201.218 192.168.133.238" hostlist="bl460g1n8" pcmk_reboot_retries="1" pcmk_reboot_timeout="40s" run_standby_wait="no"/>
+        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_on_fail="restart" CRM_meta_on_node="bl460g1n6" CRM_meta_on_node_uuid="3232261592" CRM_meta_record_pending="true" CRM_meta_timeout="60000"  dead_check_target="192.168.133.218 192.168.101.218 192.168.102.218 192.168.201.218 192.168.133.238" hostlist="bl460g1n8" pcmk_reboot_retries="1" pcmk_reboot_timeout="40s" run_standby_wait="no"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -153,7 +153,7 @@
     <action_set>
       <rsc_op id="35" operation="start" operation_key="prmStonith8-1_start_0" on_node="bl460g1n6" on_node_uuid="3232261592">
         <primitive id="prmStonith8-1" class="stonith" type="external/stonith-helper"/>
-        <attributes CRM_meta_name="start" CRM_meta_on_fail="restart" CRM_meta_record_pending="true" CRM_meta_timeout="60000"  dead_check_target="192.168.133.218 192.168.101.218 192.168.102.218 192.168.201.218 192.168.133.238" hostlist="bl460g1n8" pcmk_reboot_retries="1" pcmk_reboot_timeout="40s" run_standby_wait="no"/>
+        <attributes CRM_meta_name="start" CRM_meta_on_fail="restart" CRM_meta_on_node="bl460g1n6" CRM_meta_on_node_uuid="3232261592" CRM_meta_record_pending="true" CRM_meta_timeout="60000"  dead_check_target="192.168.133.218 192.168.101.218 192.168.102.218 192.168.201.218 192.168.133.238" hostlist="bl460g1n8" pcmk_reboot_retries="1" pcmk_reboot_timeout="40s" run_standby_wait="no"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -184,7 +184,7 @@
     <action_set>
       <rsc_op id="39" operation="monitor" operation_key="prmStonith8-2_monitor_3600000" on_node="bl460g1n6" on_node_uuid="3232261592">
         <primitive id="prmStonith8-2" class="stonith" type="external/ipmi"/>
-        <attributes CRM_meta_interval="3600000" CRM_meta_name="monitor" CRM_meta_on_fail="restart" CRM_meta_record_pending="true" CRM_meta_timeout="60000"  hostname="bl460g1n8" interface="lanplus" ipaddr="192.168.133.238" passwd="PASSW0RD" pcmk_reboot_retries="1" pcmk_reboot_timeout="60s" userid="USERID"/>
+        <attributes CRM_meta_interval="3600000" CRM_meta_name="monitor" CRM_meta_on_fail="restart" CRM_meta_on_node="bl460g1n6" CRM_meta_on_node_uuid="3232261592" CRM_meta_record_pending="true" CRM_meta_timeout="60000"  hostname="bl460g1n8" interface="lanplus" ipaddr="192.168.133.238" passwd="PASSW0RD" pcmk_reboot_retries="1" pcmk_reboot_timeout="60s" userid="USERID"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -197,7 +197,7 @@
     <action_set>
       <rsc_op id="38" operation="start" operation_key="prmStonith8-2_start_0" on_node="bl460g1n6" on_node_uuid="3232261592">
         <primitive id="prmStonith8-2" class="stonith" type="external/ipmi"/>
-        <attributes CRM_meta_name="start" CRM_meta_on_fail="restart" CRM_meta_record_pending="true" CRM_meta_timeout="60000"  hostname="bl460g1n8" interface="lanplus" ipaddr="192.168.133.238" passwd="PASSW0RD" pcmk_reboot_retries="1" pcmk_reboot_timeout="60s" userid="USERID"/>
+        <attributes CRM_meta_name="start" CRM_meta_on_fail="restart" CRM_meta_on_node="bl460g1n6" CRM_meta_on_node_uuid="3232261592" CRM_meta_record_pending="true" CRM_meta_timeout="60000"  hostname="bl460g1n8" interface="lanplus" ipaddr="192.168.133.238" passwd="PASSW0RD" pcmk_reboot_retries="1" pcmk_reboot_timeout="60s" userid="USERID"/>
       </rsc_op>
     </action_set>
     <inputs>
Index: pacemaker/pengine/test10/bug-cl-5170.exp
===================================================================
--- pacemaker.orig/pengine/test10/bug-cl-5170.exp
+++ pacemaker/pengine/test10/bug-cl-5170.exp
@@ -29,7 +29,7 @@
     <action_set>
       <rsc_op id="5" operation="stop" operation_key="ip_trf_stop_0" on_node="TCS-2" on_node_uuid="TCS-2">
         <primitive id="ip_trf" class="ocf" provider="heartbeat" type="IPaddr2"/>
-        <attributes CRM_meta_timeout="20000" broadcast="172.18.19.51"  iflabel="ha" ip="172.18.19.51" nic="bond0.3019"/>
+        <attributes CRM_meta_on_node="TCS-2" CRM_meta_on_node_uuid="TCS-2" CRM_meta_timeout="20000" broadcast="172.18.19.51"  iflabel="ha" ip="172.18.19.51" nic="bond0.3019"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -45,7 +45,7 @@
     <action_set>
       <rsc_op id="6" operation="stop" operation_key="ip_mgmt_stop_0" on_node="TCS-2" on_node_uuid="TCS-2">
         <primitive id="ip_mgmt" class="ocf" provider="heartbeat" type="IPaddr2"/>
-        <attributes CRM_meta_timeout="20000" broadcast="172.20.1.51"  iflabel="ha" ip="172.20.1.51" nic="bond0"/>
+        <attributes CRM_meta_on_node="TCS-2" CRM_meta_on_node_uuid="TCS-2" CRM_meta_timeout="20000" broadcast="172.20.1.51"  iflabel="ha" ip="172.20.1.51" nic="bond0"/>
       </rsc_op>
     </action_set>
     <inputs>
Index: pacemaker/pengine/test10/bug-cl-5213.exp
===================================================================
--- pacemaker.orig/pengine/test10/bug-cl-5213.exp
+++ pacemaker/pengine/test10/bug-cl-5213.exp
@@ -3,7 +3,7 @@
     <action_set>
       <rsc_op id="10" operation="monitor" operation_key="pgsql_monitor_10000" internal_operation_key="pgsql:1_monitor_10000" on_node="srv01" on_node_uuid="3232238180">
         <primitive id="pgsql" long-id="pgsql:1" class="ocf" provider="pacemaker" type="Stateful"/>
-        <attributes CRM_meta_clone="1" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_interval="10000" CRM_meta_master_max="1" CRM_meta_master_node_max="1" CRM_meta_name="monitor" CRM_meta_notify="true" CRM_meta_on_fail="restart" CRM_meta_timeout="60000" />
+        <attributes CRM_meta_clone="1" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_interval="10000" CRM_meta_master_max="1" CRM_meta_master_node_max="1" CRM_meta_name="monitor" CRM_meta_notify="true" CRM_meta_on_fail="restart" CRM_meta_on_node="srv01" CRM_meta_on_node_uuid="3232238180" CRM_meta_timeout="60000" />
       </rsc_op>
     </action_set>
     <inputs/>
Index: pacemaker/pengine/test10/bug-cl-5219.exp
===================================================================
--- pacemaker.orig/pengine/test10/bug-cl-5219.exp
+++ pacemaker/pengine/test10/bug-cl-5219.exp
@@ -3,7 +3,7 @@
     <action_set>
       <rsc_op id="2" operation="stop" operation_key="child1-service_stop_0" on_node="ha2.test.anchor.net.au" on_node_uuid="3232235522">
         <primitive id="child1-service" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="ha2.test.anchor.net.au" CRM_meta_on_node_uuid="3232235522" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
Index: pacemaker/pengine/test10/bug-lf-1920.exp
===================================================================
--- pacemaker.orig/pengine/test10/bug-lf-1920.exp
+++ pacemaker/pengine/test10/bug-lf-1920.exp
@@ -3,7 +3,7 @@
      <action_set>
       <rsc_op id="4" operation="monitor" operation_key="mysql-bin_monitor_30000" on_node="dktest2sles10" on_node_uuid="1db2544e-c39c-442c-be34-016c812fcf66">
         <primitive id="mysql-bin" class="ocf" provider="heartbeat" type="mysql"/>
-        <attributes CRM_meta_interval="30000" CRM_meta_name="monitor" CRM_meta_timeout="20000" binary="/packages/10.0/mysql/bin/mysqld_safe" config="/packages/10.0/mysql/my.cnf"  datadir="/packages/10.0/mysql/var" logfile="/packages/10.0/mysql/var/mysqld.log" socket="/packages/10.0/mysql/var/mysql.sock"/>
+        <attributes CRM_meta_interval="30000" CRM_meta_name="monitor" CRM_meta_on_node="dktest2sles10" CRM_meta_on_node_uuid="1db2544e-c39c-442c-be34-016c812fcf66" CRM_meta_timeout="20000" binary="/packages/10.0/mysql/bin/mysqld_safe" config="/packages/10.0/mysql/my.cnf"  datadir="/packages/10.0/mysql/var" logfile="/packages/10.0/mysql/var/mysqld.log" socket="/packages/10.0/mysql/var/mysql.sock"/>
        </rsc_op>
      </action_set>
      <inputs/>
Index: pacemaker/pengine/test10/bug-lf-2106.exp
===================================================================
--- pacemaker.orig/pengine/test10/bug-lf-2106.exp
+++ pacemaker/pengine/test10/bug-lf-2106.exp
@@ -3,7 +3,7 @@
     <action_set>
       <rsc_op id="29" operation="stop" operation_key="pingd:0_stop_0" on_node="cl-virt-1" on_node_uuid="cl-virt-1">
         <primitive id="pingd" long-id="pingd:0" class="ocf" provider="pacemaker" type="pingd"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000"  dampen="10" host_list="10.2.50.103 10.2.50.11 10.2.50.40 10.2.50.8" interval="5"/>
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="cl-virt-1" CRM_meta_on_node_uuid="cl-virt-1" CRM_meta_timeout="20000"  dampen="10" host_list="10.2.50.103 10.2.50.11 10.2.50.40 10.2.50.8" interval="5"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -16,7 +16,7 @@
     <action_set>
       <rsc_op id="25" operation="start" operation_key="pingd:0_start_0" on_node="cl-virt-1" on_node_uuid="cl-virt-1">
         <primitive id="pingd" long-id="pingd:0" class="ocf" provider="pacemaker" type="pingd"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000"  dampen="10" host_list="10.2.50.103 10.2.50.11 10.2.50.40 10.2.50.8" interval="5"/>
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="cl-virt-1" CRM_meta_on_node_uuid="cl-virt-1" CRM_meta_timeout="20000"  dampen="10" host_list="10.2.50.103 10.2.50.11 10.2.50.40 10.2.50.8" interval="5"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -32,7 +32,7 @@
     <action_set>
       <rsc_op id="3" operation="monitor" operation_key="pingd:0_monitor_30000" on_node="cl-virt-1" on_node_uuid="cl-virt-1">
         <primitive id="pingd" long-id="pingd:0" class="ocf" provider="pacemaker" type="pingd"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_interval="30000" CRM_meta_name="monitor" CRM_meta_notify="false" CRM_meta_timeout="30000"  dampen="10" host_list="10.2.50.103 10.2.50.11 10.2.50.40 10.2.50.8" interval="5"/>
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_interval="30000" CRM_meta_name="monitor" CRM_meta_notify="false" CRM_meta_on_node="cl-virt-1" CRM_meta_on_node_uuid="cl-virt-1" CRM_meta_timeout="30000"  dampen="10" host_list="10.2.50.103 10.2.50.11 10.2.50.40 10.2.50.8" interval="5"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -45,7 +45,7 @@
     <action_set>
       <crm_event id="2" operation="clear_failcount" operation_key="pingd:0_clear_failcount" on_node="cl-virt-1" on_node_uuid="cl-virt-1">
         <primitive id="pingd" long-id="pingd:0" class="ocf" provider="pacemaker" type="pingd"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_op_no_wait="true" CRM_meta_timeout="20000"  dampen="10" host_list="10.2.50.103 10.2.50.11 10.2.50.40 10.2.50.8" interval="5"/>
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="cl-virt-1" CRM_meta_on_node_uuid="cl-virt-1" CRM_meta_op_no_wait="true" CRM_meta_timeout="20000"  dampen="10" host_list="10.2.50.103 10.2.50.11 10.2.50.40 10.2.50.8" interval="5"/>
       </crm_event>
     </action_set>
     <inputs/>
@@ -54,7 +54,7 @@
     <action_set>
       <rsc_op id="30" operation="stop" operation_key="pingd:0_stop_0" internal_operation_key="pingd:1_stop_0" on_node="cl-virt-2" on_node_uuid="cl-virt-2">
         <primitive id="pingd" long-id="pingd:0" class="ocf" provider="pacemaker" type="pingd"/>
-        <attributes CRM_meta_clone="1" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000"  dampen="10" host_list="10.2.50.103 10.2.50.11 10.2.50.40 10.2.50.8" interval="5"/>
+        <attributes CRM_meta_clone="1" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="cl-virt-2" CRM_meta_on_node_uuid="cl-virt-2" CRM_meta_timeout="20000"  dampen="10" host_list="10.2.50.103 10.2.50.11 10.2.50.40 10.2.50.8" interval="5"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -67,7 +67,7 @@
     <action_set>
       <rsc_op id="26" operation="start" operation_key="pingd:0_start_0" internal_operation_key="pingd:1_start_0" on_node="cl-virt-2" on_node_uuid="cl-virt-2">
         <primitive id="pingd" long-id="pingd:0" class="ocf" provider="pacemaker" type="pingd"/>
-        <attributes CRM_meta_clone="1" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000"  dampen="10" host_list="10.2.50.103 10.2.50.11 10.2.50.40 10.2.50.8" interval="5"/>
+        <attributes CRM_meta_clone="1" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="cl-virt-2" CRM_meta_on_node_uuid="cl-virt-2" CRM_meta_timeout="20000"  dampen="10" host_list="10.2.50.103 10.2.50.11 10.2.50.40 10.2.50.8" interval="5"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -83,7 +83,7 @@
     <action_set>
       <rsc_op id="11" operation="monitor" operation_key="pingd:0_monitor_30000" internal_operation_key="pingd:1_monitor_30000" on_node="cl-virt-2" on_node_uuid="cl-virt-2">
         <primitive id="pingd" long-id="pingd:0" class="ocf" provider="pacemaker" type="pingd"/>
-        <attributes CRM_meta_clone="1" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_interval="30000" CRM_meta_name="monitor" CRM_meta_notify="false" CRM_meta_timeout="30000"  dampen="10" host_list="10.2.50.103 10.2.50.11 10.2.50.40 10.2.50.8" interval="5"/>
+        <attributes CRM_meta_clone="1" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_interval="30000" CRM_meta_name="monitor" CRM_meta_notify="false" CRM_meta_on_node="cl-virt-2" CRM_meta_on_node_uuid="cl-virt-2" CRM_meta_timeout="30000"  dampen="10" host_list="10.2.50.103 10.2.50.11 10.2.50.40 10.2.50.8" interval="5"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -96,7 +96,7 @@
     <action_set>
       <crm_event id="10" operation="clear_failcount" operation_key="pingd:0_clear_failcount_0" internal_operation_key="pingd:1_clear_failcount" on_node="cl-virt-2" on_node_uuid="cl-virt-2">
         <primitive id="pingd" long-id="pingd:0" class="ocf" provider="pacemaker" type="pingd"/>
-        <attributes CRM_meta_clone="1" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_op_no_wait="true" CRM_meta_timeout="20000"  dampen="10" host_list="10.2.50.103 10.2.50.11 10.2.50.40 10.2.50.8" interval="5"/>
+        <attributes CRM_meta_clone="1" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="cl-virt-2" CRM_meta_on_node_uuid="cl-virt-2" CRM_meta_op_no_wait="true" CRM_meta_timeout="20000"  dampen="10" host_list="10.2.50.103 10.2.50.11 10.2.50.40 10.2.50.8" interval="5"/>
       </crm_event>
     </action_set>
     <inputs/>
Index: pacemaker/pengine/test10/bug-lf-2160.exp
===================================================================
--- pacemaker.orig/pengine/test10/bug-lf-2160.exp
+++ pacemaker/pengine/test10/bug-lf-2160.exp
@@ -3,7 +3,7 @@
     <action_set>
       <rsc_op id="2" operation="monitor" operation_key="domU-test01_monitor_0" on_node="cardhu" on_node_uuid="cardhu">
         <primitive id="domU-test01" class="ocf" provider="heartbeat" type="Xen"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" allow_migrate="true"  xmfile="/etc/xen/test01.cfg"/>
+        <attributes CRM_meta_on_node="cardhu" CRM_meta_on_node_uuid="cardhu" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" allow_migrate="true"  xmfile="/etc/xen/test01.cfg"/>
       </rsc_op>
     </action_set>
     <inputs/>
@@ -12,7 +12,7 @@
     <action_set>
       <rsc_op id="3" operation="monitor" operation_key="dom0-iscsi1-cnx1:0_monitor_0" on_node="cardhu" on_node_uuid="cardhu">
         <primitive id="dom0-iscsi1-cnx1" long-id="dom0-iscsi1-cnx1:0" class="ocf" provider="heartbeat" type="iscsi"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  portal="10.151.1.72" target="iqn.2009-03.fr.u-picardie.testfrontal-01:test01"/>
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="cardhu" CRM_meta_on_node_uuid="cardhu" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  portal="10.151.1.72" target="iqn.2009-03.fr.u-picardie.testfrontal-01:test01"/>
       </rsc_op>
     </action_set>
     <inputs/>
Index: pacemaker/pengine/test10/bug-lf-2171.exp
===================================================================
--- pacemaker.orig/pengine/test10/bug-lf-2171.exp
+++ pacemaker/pengine/test10/bug-lf-2171.exp
@@ -3,7 +3,7 @@
     <action_set>
       <rsc_op id="6" operation="stop" operation_key="res_Dummy1:1_stop_0" internal_operation_key="res_Dummy1:0_stop_0" on_node="xenserver1" on_node_uuid="56cfdd8b-b7ce-4420-b0b0-2e9ec84a9b64">
         <primitive id="res_Dummy1" long-id="res_Dummy1:1" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_record_pending="true" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="xenserver1" CRM_meta_on_node_uuid="56cfdd8b-b7ce-4420-b0b0-2e9ec84a9b64" CRM_meta_record_pending="true" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -16,7 +16,7 @@
     <action_set>
       <rsc_op id="7" operation="stop" operation_key="res_Dummy1:0_stop_0" internal_operation_key="res_Dummy1:1_stop_0" on_node="xenserver2" on_node_uuid="ab2e800a-4e31-42e9-9e33-f6ca81a3e9e6">
         <primitive id="res_Dummy1" long-id="res_Dummy1:0" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_clone="1" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_record_pending="true" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="1" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="xenserver2" CRM_meta_on_node_uuid="ab2e800a-4e31-42e9-9e33-f6ca81a3e9e6" CRM_meta_record_pending="true" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -85,7 +85,7 @@
     <action_set>
       <rsc_op id="12" operation="stop" operation_key="res_Dummy2_stop_0" on_node="xenserver1" on_node_uuid="56cfdd8b-b7ce-4420-b0b0-2e9ec84a9b64">
         <primitive id="res_Dummy2" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_record_pending="true" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="xenserver1" CRM_meta_on_node_uuid="56cfdd8b-b7ce-4420-b0b0-2e9ec84a9b64" CRM_meta_record_pending="true" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -98,7 +98,7 @@
     <action_set>
       <rsc_op id="14" operation="stop" operation_key="res_Dummy3_stop_0" on_node="xenserver1" on_node_uuid="56cfdd8b-b7ce-4420-b0b0-2e9ec84a9b64">
         <primitive id="res_Dummy3" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_record_pending="true" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="xenserver1" CRM_meta_on_node_uuid="56cfdd8b-b7ce-4420-b0b0-2e9ec84a9b64" CRM_meta_record_pending="true" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
Index: pacemaker/pengine/test10/bug-lf-2213.exp
===================================================================
--- pacemaker.orig/pengine/test10/bug-lf-2213.exp
+++ pacemaker/pengine/test10/bug-lf-2213.exp
@@ -30,7 +30,7 @@
     <action_set>
       <rsc_op id="2" operation="start" operation_key="test:0_start_0" on_node="web1" on_node_uuid="web1">
         <primitive id="test" long-id="test:0" class="ocf" provider="heartbeat" type="Filesystem"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000"  device="192.168.55.15:/srv/nfs/web/" directory="/srv/web/" fstype="nfs" options="hard,intr,noatime,rw,nolock,tcp,timeo=50"/>
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="web1" CRM_meta_on_node_uuid="web1" CRM_meta_timeout="20000"  device="192.168.55.15:/srv/nfs/web/" directory="/srv/web/" fstype="nfs" options="hard,intr,noatime,rw,nolock,tcp,timeo=50"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -70,7 +70,7 @@
     <action_set>
       <rsc_op id="7" operation="start" operation_key="test:1_start_0" on_node="web2" on_node_uuid="web2">
         <primitive id="test" long-id="test:1" class="ocf" provider="heartbeat" type="Filesystem"/>
-        <attributes CRM_meta_clone="1" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000"  device="192.168.55.15:/srv/nfs/web/" directory="/srv/web/" fstype="nfs" options="hard,intr,noatime,rw,nolock,tcp,timeo=50"/>
+        <attributes CRM_meta_clone="1" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="web2" CRM_meta_on_node_uuid="web2" CRM_meta_timeout="20000"  device="192.168.55.15:/srv/nfs/web/" directory="/srv/web/" fstype="nfs" options="hard,intr,noatime,rw,nolock,tcp,timeo=50"/>
       </rsc_op>
     </action_set>
     <inputs>
